%global alpha 0

Name:           fldigi
Version:        4.2.04
Release:    1%{?dist}
Summary:        Digital modem program for Linux

License:        GPL-3.0-or-later GPL-2.0-or-later LGPL-2.0-or-later LGPL-3.0-or-later GPL-3.0 LGPL-2.0 GPL-2.0 BSL-1.0 MIT-0 LGPL-3 GPL Apache-2.0

URL:            http://www.w1hkj.com/Fldigi.html
%if %{alpha}
Source0:        http://www.w1hkj.com/alpha/%{name}/%{name}-%{version}.tar.gz
%else
Source0:        http://www.w1hkj.com/files/%{name}/%{name}-%{version}.tar.gz
%endif

Source100:      fldigi.appdata.xml


BuildRequires:  asciidoc
BuildRequires:  desktop-file-utils
BuildRequires:  fltk-devel >= 1.3
BuildRequires:  gettext
BuildRequires:  gcc gcc-c++
BuildRequires:  hamlib-devel
BuildRequires:  flxmlrpc-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libudev-devel
BuildRequires:  make
BuildRequires:  portaudio-devel >= 19-4
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  libappstream-glib


Provides:       flarq = %{version}-%{release}


%description
Fldigi is a modem program which supports most of the digital modes used by 
ham radio operators today. You can also use the program for calibrating your 
sound card to WWV or doing a frequency measurement test. The program also comes 
with a CW decoder. fldigi is written with the help of the Fast Light Toolkit X 
GUI. Fldigi is a fast moving project many added features with each update.

Flarq (Fast Light Automatic Repeat Request) is a file transfer application
that is based on the ARQ specification developed by Paul Schmidt, K9PS.
It is capable of transmitting and receiving frames of ARQ data via fldigi.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}" LIBS="-lm -lX11 -lpthread" V=1


%install
%make_install

echo "Keywords=modem;psk;rtty;cw;fsq;fsk;" >> %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/flarq.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
install -pm 0644 data/fldigi-psk.png \
    %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%find_lang %{name}

mkdir -p %{buildroot}%{_datadir}/appdata
install %{SOURCE100} -pm 0644 %{buildroot}%{_datadir}/appdata/
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*.appdata.xml


%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/*
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm 
%{_datadir}/pixmaps/flarq.xpm 
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/flarq.1.gz
%{_datadir}/appdata/fldigi.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/flarq.desktop
%{_datadir}/%{name}/


%changelog
* Fri Jul 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.04-1
- initial build
